On Feb 27, 8:58 am, "micathom" <micat... / gmail.com> wrote:
> With respect to sqlite: I'd supposed that "gem install sqlite3-ruby"
> should work.

Having just been in the situation of wanting to use SQLite3 with ruby
in cygwin, I can say it did not. Not without warnings at least that
is.

I ended up compiling SQLite3 on cygwin, compiling SQLite3's dll,
downloading sqlite3-ruby tar.gz packet, and compiling the ruby
extension
extension with correct paths to SQLite3's headers and libs.